Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for File API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.connector.fileadapter.eway
Class FileEndpoint

    java.lang.Object
      com.stc.connector.fileadapter.eway.FileEndpoint

All Implemented Interfaces:
  com.stc.connector.framework.eway.EwayEndpoint, com.stc.connector.management.STCManagedSlave

    public class FileEndpoint

extends java.lang.Object
implements com.stc.connector.framework.eway.EwayEndpoint, com.stc.connector.management.STCManagedSlave

This class represents an Endpoint created by the Resource Adapter due an Endpoint Activation

Constructor Summary
`FileEndpoint()` No-arg constructor.

Method Summary
`void` | `activation(javax.resource.spi.endpoint.MessageEndpointFactory aFactory, javax.resource.spi.BootstrapContext bc, com.stc.configuration.IConfiguration aConfiguration, com.stc.connector.management.util.ObjectReference aMonitor)`
`void` | `deactivation(javax.resource.spi.endpoint.MessageEndpointFactory aFactory)`
`com.stc.connector.management.util.ObjectReference` | `getMonitor()`
`javax.transaction.xa.XAResource` | `getXAResource()` Get the XAResource from the current active eWay endpoint.
`void` | `setMonitor(com.stc.connector.management.util.ObjectReference aMonitor)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FileEndpoint

    public FileEndpoint()

  No-arg constructor. Please do not remove this constructor because this is a Java Bean class.

Method Detail

### setMonitor

    public void setMonitor(com.stc.connector.management.util.ObjectReference aMonitor)

  Specified by:
    `setMonitor` in interface `com.stc.connector.management.STCManagedSlave`

### getMonitor

    public com.stc.connector.management.util.ObjectReference getMonitor()

### activation

    public void activation(javax.resource.spi.endpoint.MessageEndpointFactory aFactory,
                           javax.resource.spi.BootstrapContext bc,
                           com.stc.configuration.IConfiguration aConfiguration,
                           com.stc.connector.management.util.ObjectReference aMonitor)
                    throws javax.resource.ResourceException

  Specified by:
    `activation` in interface `com.stc.connector.framework.eway.EwayEndpoint`
  Throws:
    `javax.resource.ResourceException`
  See Also:
    `EwayEndpoint.activation(javax.resource.spi.endpoint.MessageEndpointFactory, javax.resource.spi.BootstrapContext, com.stc.configuration.IConfiguration, com.stc.connector.management.util.ObjectReference)`

### deactivation

    public void deactivation(javax.resource.spi.endpoint.MessageEndpointFactory aFactory)

  Specified by:
    `deactivation` in interface `com.stc.connector.framework.eway.EwayEndpoint`
  See Also:
    `EwayEndpoint.deactivation(javax.resource.spi.endpoint.MessageEndpointFactory)`

### getXAResource

    public javax.transaction.xa.XAResource getXAResource()
                                                  throws javax.resource.ResourceException

  Get the XAResource from the current active eWay endpoint.

  Specified by:
    `getXAResource` in interface `com.stc.connector.framework.eway.EwayEndpoint`
  Returns:
    An XAResource from the active eWay endpoint connection.
  Throws:
    `javax.resource.ResourceException` - upon error.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for File API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Sun Microsystems, Inc. All Rights Reserved.